%define	name	kover
%define	version	2.9.6
%define	release	2mdk

Name:           %{name}
Summary:        WYSIWYG CD cover printer with CDDB support
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2
Source2:        kover.png
Source3:        kover16.png
Source4:        kover32.png
Source5:        kover48.png
#Patch0:	kover-fix-compile.patch.bz2 
Patch1:		kover-libtool-tag.patch.bz2
URL:            http://lisas.de/kover
Group:          Archiving/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	XFree86-devel kdelibs-devel libart_lgpl-devel
BuildRequires:	arts-devel png-devel jpeg-devel fam-devel

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support. 

%prep
%setup -q
cp %{SOURCE2} .
#%patch0 -p1
#%patch1 -p1

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
%configure2_5x --disable-rpath $kdelibsuffix
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE4} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE5} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/kover.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS README TODO THANKS ChangeLog
%{_bindir}/kover
%{_bindir}/cddb-id
%{_bindir}/cd-text
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/locolor/*/apps/*.png

%dir %_datadir/apps/
%dir %_datadir/apps/kover/
%_datadir/apps/kover/koverui.rc
%dir %_datadir/apps/kover/pics
%_datadir/apps/kover/pics/*.png

%_mandir/man1/*

%dir %_datadir/applnk/
%dir %_datadir/applnk/Multimedia/
%_datadir/applnk/Multimedia/kover.desktop

%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop

%changelog
* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 2.9.6-2mdk
- Rebuild

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9.6-1mdk
- 2.9.6
- cleanups

* Tue Oct 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.9.5-4mdk
- fix deps and build on lib64 platforms

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-3mdk
- Remove explicite dependance on kdebase

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-2mdk
- Rebuild

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.5-1mdk
- 2.9.5

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.3-1mdk
- 2.9.3

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.1-5mdk
- Rebuild

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 2.9.1-4mdk
- buildrequires

* Mon Mar 03 2003 Marcel Pol <mpol@gmx.net> 2.9.1-3mdk
- fix buildrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.1-2mdk
- Rebuild

* Fri Feb 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.9.1-1mdk
- 2.9.1

* Wed Oct 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.7-1mdk
- 2.8.7

* Sat Aug 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.6-3mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.6-2mdk
- Rebuild against gcc-3.2

* Wed Jul 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.8.6-1mdk
- 2.8.6

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.8.5-3mdk
- patch1: libtool tag

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.5-2mdk
- Rebuild

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.8.5-1mdk
- new version

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix spec file

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- Update code (0.8.3)

* Tue Oct 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- fixes by Claudio Panichi <sorcla@tiscalinet.it> :
	- Added missing files
	- Added menu entry
	- Fixed permissions on source file

* Wed Oct 17 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.8-1mdk
- First personal RPM for Linux Mandrake =:o)
